Download it now!
Bug 81787 - MS Works Spreadsheet: quotes in formulas created as "
Summary: MS Works Spreadsheet: quotes in formulas created as "
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: filters and storage (show other bugs)
Version:
(earliest affected)
4.4.0.0.alpha0+ Master
Hardware: Other All
: medium normal
Assignee: osnola
URL:
Whiteboard: target:4.4.0 target:4.3.1
Keywords:
Depends on:
Blocks:
 
Reported: 2014-07-26 17:04 UTC by Urmas
Modified: 2014-08-17 21:19 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Example (12.20 KB, application/vnd.ms-works)
2014-07-26 17:04 UTC, Urmas
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Urmas 2014-07-26 17:04:54 UTC
Created attachment 103509 [details]
Example
Comment 1 Robinson Tryon (qubit) 2014-07-26 20:44:19 UTC
CONFIRMED on Ubuntu 12.04.4 + LO 4.3.0.3

(In reply to comment #0)
> Created attachment 103509 [details]
> Example

Cell C8 in the MS-Works Spreadsheet has content "=IF(COUNT(D8:E8),0,&quot,&quot,)". I don't have MS-Works to confirm that the file works as expected in the native program, but it sounds like something that needs implementing in the import filter.
 
Status: NEW
Priority: Enhancement
Comment 2 Commit Notification 2014-08-13 08:07:53 UTC
osnola committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=46f52010e08ebc03c8a8efacd887b0ab526efaed

fdo#81787 attrs are already XML-encoded by libodfgen



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Urmas 2014-08-14 01:38:38 UTC
+ ...4,4,4,4,4,5,5,5,5,6,6,1,1
               ^^^^^^^^^^^

is this a joke?
Comment 4 osnola 2014-08-14 07:16:30 UTC
>+ ...4,4,4,4,4,5,5,5,5,6,6,1,1
               ^^^^^^^^^^^
>is this a joke?

Hello, 
this function reverts calls of RVNGStringImpl::appendEscapedXML in 
https://sourceforge.net/p/libwpd/librevenge/ci/master/tree/src/lib/RVNGString.cpp, an escaping which are not needed when passing attribute's values in LibreOffice.

So, it uses the same table and the same librvng_utf8_next_char function as RVNGStringImpl::appendEscapedXML. 

Note: 
- I am no sure that utf8 encoding can <<create>> series of 5 or 6 characters, but if not, these values will never be used and all must be ok.
Comment 5 Commit Notification 2014-08-15 13:13:33 UTC
osnola committed a patch related to this issue.
It has been pushed to "libreoffice-4-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8e6230e25d68e30b0d160710d251457fc64684de&h=libreoffice-4-3

fdo#81787 attrs are already XML-encoded by libodfgen


It will be available in LibreOffice 4.3.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2014-08-17 21:19:50 UTC
osnola committed a patch related to this issue.
It has been pushed to "libreoffice-4-3-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ef54782c776e44e462c584cbac47963fe4bf4101&h=libreoffice-4-3-1

fdo#81787 attrs are already XML-encoded by libodfgen


It will be available already in LibreOffice 4.3.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.